Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefHandlerTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefHandlerTypeImplTestCase

    public class ServiceRefHandlerTypeImplTestCase

extends java.lang.Object

Constructor Summary
`ServiceRefHandlerTypeImplTestCase()`

Method Summary
`void` | `testHandlerClass()`
`void` | `testHandlerName()`
`void` | `testInitParam()`
`void` | `testPortName()`
`void` | `testSoapHeader()`
`void` | `testSoapRole()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefHandlerTypeImplTestCase

    public ServiceRefHandlerTypeImplTestCase()

Method Detail

### testHandlerName

    public void testHandlerName()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHandlerClass

    public void testHandlerClass()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInitParam

    public void testInitParam()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSoapHeader

    public void testSoapHeader()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSoapRole

    public void testSoapRole()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPortName

    public void testPortName()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD